﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using TinCan.LRS.Web.Models;
using TinCan.LRS.Web.Services;

namespace TinCan.LRS.Web.Components
{
    public class InMemoryStorage : IStorage
    {
        List<Statement> statementQueue;

        public InMemoryStorage()
        {
            statementQueue = System.Web.HttpContext.Current.Application["statementQueue"] as List<Statement>;
            if (statementQueue == null)
            {
                statementQueue = new List<Statement>();
            }
        }
        public void AddToStorage(Statement statement)
        {
            statementQueue.Add(statement);
            System.Web.HttpContext.Current.Application["statementQueue"] = statementQueue;
        }


        public Statement GetStatement(Guid statementID)
        {
            return statementQueue.FirstOrDefault(i => i.id == statementID);
        }


        public IEnumerable<Statement> GetAllStatements()
        {
            return statementQueue;
        }
    }
}