﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TinCan.LRS.Web.Services;
using Microsoft.Practices.Unity;
using TinCan.LRS.Web.Models;

namespace TinCan.LRS.Web.Controllers
{
    public class HomeController : Controller
    {
        #region Properties
        [Dependency]
        public IStorage StorageRepository { get; set; }
        #endregion

        public ActionResult Index()
        {
            ViewBag.Statements = StorageRepository.GetAllStatements();
            return View();
        }

        [HttpPost]
        public ActionResult Index(Statement statement)
        {
            StorageRepository.AddToStorage(statement);
            ViewBag.Statements = StorageRepository.GetAllStatements();
            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your app description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}
