﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;
using TinCan.LRS.Web.Components;
using TinCan.LRS.Web.Models;
using TinCan.LRS.Web.Services;
using TinCan.LRS.Web.Filters;

namespace TinCan.LRS.Web.Controllers
{
    public class StatementsController : xApiController
    {
        #region Fields
        IStorage _storageRepository;
        #endregion

        #region Contructors
        public StatementsController(IStorage storageRepository)
        {
            _storageRepository = storageRepository;
        }
        #endregion

        #region GET
        // GET api/statements
        public Statement Get()
        {
            return new Statement();
        }

        // GET api/statements/5
        public Statement Get(string statementId)
        {
            Guid id = new Guid();
            Guid.TryParse(statementId, out id);
            Statement statement = _storageRepository.GetStatement(id);
            return statement;
        }
        #endregion

        #region POST
        // POST api/statements
        public void Post([FromBody]List<Statement> statements)
        {
            foreach (var item in statements)
            {
                _storageRepository.AddToStorage(item);
            }
            //TODO: Implement POST method for Statements controller
        }

        #endregion

        #region PUT
        // PUT api/statements
        public Statement Put(string statementId, [FromBody]Statement statement)
        {
            Guid id = new Guid();
            if(Guid.TryParse(statementId, out id))
            {
                statement.id = id;
            }

            _storageRepository.AddToStorage(statement);

            return statement;
        }
        #endregion

        #region DELETE
        // DELETE api/statements/5
        public void Delete(int id)
        {
        }
        #endregion
    }
}
