﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
    using System.Web.Http.Filters;

namespace TinCan.LRS.Web.Filters
{
    public class AddAcrhHeaderAttribute : ActionFilterAttribute
    {
        public string SupportedHeaders { get; set; }

        /// <summary>
        /// Adds the header "Access-Control-Allow-Methods" with the supplied value
        /// </summary>
        /// <param name="supportedHeaders">Comma delimited list of supported methods</param>
        public AddAcrhHeaderAttribute(string supportedHeaders = "x-experience-api-version, origin, authorization, content-type")
        {
            SupportedHeaders = supportedHeaders;
        }

        public override void OnActionExecuted(HttpActionExecutedContext actionExecutedContext)
        {
            if (actionExecutedContext.Response != null)
                actionExecutedContext.Response.Headers.Add("Access-Control-Allow-Headers", SupportedHeaders);

            base.OnActionExecuted(actionExecutedContext);
        }
    }
}