﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TinCan.LRS.Web.Models
{
    /// <summary>
    /// Rationale -
    /// Traditional e-learning has included structures for interactions or assessments. As a way to allow these 
    /// practices and structures to extend Experience API's utility, this specification includes built-in 
    /// definitions for interactions, which borrows from the SCORM 2004 4th Edition Data Model. These 
    /// definitions are intended to provide a simple and familiar utility for recording interaction data. These 
    /// definitions are simple to use, and consequently limited. It is expected that communities of practice 
    /// requiring richer interactions definitions will do so through the use of extensions to an Activity's type 
    /// and definition.
    /// 
    /// Requirements -
    /// • Interaction Activities MUST have a valid interactionType.
    /// • Interaction Activities SHOULD have the Activity type 
    /// "http:///adlnet.gov/expapi/activities/cmi.interaction".
    /// • An LRS, upon consuming a valid interactionType, MAY validate the remaining properties as 
    /// specified in the table below and MAY return HTTP 400 "Bad Request" if the remaining properties 
    /// are not valid for the Interaction Activity.
    /// </summary>
    public class InteractionActivity
    {
        public string interactionType { get; set; }
        public string[] correctResponsesPattern { get; set; }

        // TODO: this class is not complete.
    }
}
